Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410454 (CVE-2016-10050) - CVE-2016-10050 ImageMagick: Heap overflow when reading corrupt RLE files
Summary: CVE-2016-10050 ImageMagick: Heap overflow when reading corrupt RLE files
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10050
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1410515
Blocks: 1410453
TreeView+ depends on / blocked
 
Reported: 2017-01-05 14:25 UTC by Andrej Nemec
Modified: 2019-09-29 14:03 UTC (History)
13 users (show)

Fixed In Version: ImageMagick 6.9.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-22 04:27:26 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-01-05 14:25:43 UTC
A heap-buffer overflow vulnerability was found in ImageMagick. A maliciously crafted RLE file could cause the application to crash or possibly have other impact.

References:

http://seclists.org/oss-sec/2016/q4/758
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=833744

Upstream patch:

https://github.com/ImageMagick/ImageMagick/commit/73fb0aac5b958521e1511e179ecc0ad49f70ebaf

Comment 1 Andrej Nemec 2017-01-05 16:13:14 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1410515]


Note You need to log in before you can comment on or make changes to this bug.